%global theme	Sardi

Name:		sardi-icon-theme
Version:	9.7.4
Release:	%mkrel 1
Summary:	%{theme} icon theme
Group:		System/Configuration/Theme
License:	GPL-3
URL:		https://sourceforge.net/projects/sardi/
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch
AutoReqProv:    no

Obsoletes: sardi-icons
Provides: sardi-icons = %version-%release

%description
Sardi v9 is a complete restyling and optimisation of svg code. 
6 choices for your applications and 10 kind of folders to use
in your file manager.


%prep


%build
# Nothing to build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/icons

pushd %{_sourcedir}
wget -nc https://sourceforge.net/projects/sardi/files/sardi-icons-9.7-4.tar.gz
tar xf sardi-icons-9.7-4.tar.gz -C %{buildroot}/%{_datadir}/icons
popd


%clean
rm -rf %{buildroot}

%files
%{_datadir}/icons

%post
%update_icon_cache Sardi
%update_icon_cache Sardi-Arc
%update_icon_cache Sardi-Colora
%update_icon_cache Sardi-Flat
%update_icon_cache Sardi-Flat-Colora
%update_icon_cache Sardi-Flat-Evopop
%update_icon_cache Sardi-Flexible
%update_icon_cache Sardi-Flexible-Arc
%update_icon_cache Sardi-Flexible-Colora
%update_icon_cache Sardi-Flexible-Luv-Colora
%update_icon_cache Sardi-Ghost-Flexible
%update_icon_cache Sardi-Ghost-Flexible-Colora
%update_icon_cache Sardi-Mono
%update_icon_cache Sardi-Mono-Arc
%update_icon_cache Sardi-Mono-Arched
%update_icon_cache Sardi-Mono-Colora
%update_icon_cache Sardi-Mono-Mint-X-Grey
%update_icon_cache Sardi-Mono-Numix
%update_icon_cache Sardi-Mono-Numix-Colora
%update_icon_cache Sardi-Mono-Papirus-Colora
%update_icon_cache Sardi-Mono-Vertexed
%update_icon_cache Sardi-Orb-Colora


%postun
%clean_icon_cache Sardi
%clean_icon_cache Sardi-Arc
%clean_icon_cache Sardi-Colora
%clean_icon_cache Sardi-Flat
%clean_icon_cache Sardi-Flat-Colora
%clean_icon_cache Sardi-Flat-Evopop
%clean_icon_cache Sardi-Flexible
%clean_icon_cache Sardi-Flexible-Arc
%clean_icon_cache Sardi-Flexible-Colora
%clean_icon_cache Sardi-Flexible-Luv-Colora
%clean_icon_cache Sardi-Ghost-Flexible
%clean_icon_cache Sardi-Ghost-Flexible-Colora
%clean_icon_cache Sardi-Mono
%clean_icon_cache Sardi-Mono-Arc
%clean_icon_cache Sardi-Mono-Arched
%clean_icon_cache Sardi-Mono-Colora
%clean_icon_cache Sardi-Mono-Mint-X-Grey
%clean_icon_cache Sardi-Mono-Numix
%clean_icon_cache Sardi-Mono-Numix-Colora
%clean_icon_cache Sardi-Mono-Papirus-Colora
%clean_icon_cache Sardi-Mono-Vertexed
%clean_icon_cache Sardi-Orb-Colora


%changelog
* Sat Aug 31 2019 tex - 9.7.4-1pclos2019
- new version
